#include<bits/stdc++.h>

using namespace std;

int main() {
  ios_base::sync_with_stdio(0);
  cin.tie(0);
  int n, l, b = -1;
  cin >> n >> l;
  vector<int> v(n);
  for (int i = 0; i < n; i++)
    cin >> v[i];
  for (int i = 0; i < n; i++) {
    if (v[i] <= l) {
      b = i + 1;
      break;
    }
  }
  cout << b;
  return 0;
}